/* Variables */
/* Reset */
*, *::after, *::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Generic */
body {
  justify-content: center;
  align-items: center;
  font-family: "Poppins", sans-serif;
  background: #ffffff;
  user-select: none;
}

a {
  text-decoration: none;
  color: #29434e;
  font-size: 11px;
}

/**/
#active,
#active-2,
#active-3 {
  position: absolute;
  left: 10px;
  height: 30px;
  width: 100px;
  z-index: 0;
  transition: left 0.5s ease-out;
  border-radius: 20px;
}

#active-2,
#active-3 {
  width: 30px;
  transition: left 0.5s ease-out 0.075s;
}

/**/
.menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: absolute;
  width: 420px;
  height: 45px;
  padding: 0 10px;
  border-radius: 25px;
  background: #ffffffc9;
  box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.15);
  right: 15px;
  top: 20px;
}
.menu__item {
  width: 100px;
  height: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.menu__icon {
  position: absolute;
  width: 12px;
  height: 12px;
  object-fit: contain;
  margin-right: 4px;
  visibility: hidden;
  opacity: 0;
  transform: scale(0);
  transition: 0.5s ease-out;
  z-index: 100;
}
.menu__text {
  text-transform: uppercase;
  letter-spacing: 1px;
  z-index: 100;
}

/**/
.is-icon-visible {
  position: inherit;
  visibility: visible;
  opacity: 1;
  transform: scale(1);
  transition: 0.35s;
}

.is-text-visible {
  color: white;
}

.is-item-animated {
  animation: change 0.35s ease-out;
}